Bug 758 - Samba PCP PMDA does not build without hackery
Samba PCP PMDA does not build without hackery
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.0
SGI IRIX
: P3 minor
: none
Assigned To: Tim Potter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-11 16:24 UTC by James Peach (outdated mail address)
Modified: 2005-08-24 10:23 UTC (History)
0 users

See Also:


Attachments
patch to pcp/Makefile (611 bytes, patch)
2003-11-11 16:47 UTC, James Peach (outdated mail address)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description James Peach (outdated mail address) 2003-11-11 16:24:50 UTC
The samba PCP PMDA located in src/pcp doesn't build out of 
the box because it expects the profiling header file to be
in the current directory and to be called "profile.h".

Being able to build the samba PMDA more easily is useful for
both IRIX and Linux.
Comment 1 James Peach (outdated mail address) 2003-11-11 16:47:24 UTC
Created attachment 247 [details]
patch to pcp/Makefile

This patch creates profile.h as a symlink to smbprofile.h to
satisfy the profile.h dependency.
Comment 2 Gerald (Jerry) Carter 2004-03-17 09:12:12 UTC
applied
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:23:11 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.